aboutsummaryrefslogtreecommitdiffstats
path: root/jjb/release-jjb-halibut-sources/include-release-jjb-release-sources-rsync.sh
diff options
context:
space:
mode:
authorJan-Simon Möller <jsmoeller@linuxfoundation.org>2019-06-12 20:08:02 +0200
committerJan-Simon Möller <jsmoeller@linuxfoundation.org>2019-06-12 20:08:02 +0200
commitbfd529bf651daf96e2ea84e781719a09c1ff9cad (patch)
treebac9f9c7fa1419af819fe993fd74641e57d85bc8 /jjb/release-jjb-halibut-sources/include-release-jjb-release-sources-rsync.sh
parent4603161514616f686807cb6f03b63d5cfaa6d56b (diff)
Add release jobs for halibut part 2
Add the final release jobs for halibut. Change-Id: Ibcdc8eaa993d118235bad17cf0ea27e6d59fcf33 Signed-off-by: Jan-Simon Möller <jsmoeller@linuxfoundation.org>
Diffstat (limited to 'jjb/release-jjb-halibut-sources/include-release-jjb-release-sources-rsync.sh')
-rw-r--r--jjb/release-jjb-halibut-sources/include-release-jjb-release-sources-rsync.sh39
1 files changed, 39 insertions, 0 deletions
diff --git a/jjb/release-jjb-halibut-sources/include-release-jjb-release-sources-rsync.sh b/jjb/release-jjb-halibut-sources/include-release-jjb-release-sources-rsync.sh
new file mode 100644
index 00000000..e458a17d
--- /dev/null
+++ b/jjb/release-jjb-halibut-sources/include-release-jjb-release-sources-rsync.sh
@@ -0,0 +1,39 @@
+#!/bin/bash
+
+#set -x
+set -e
+#export RSYNCDST="jenkins-slave@10.30.72.8:/srv/download/AGL/release/${RELEASE_BRANCH}/${RELEASE_VERSION}/"
+#export RSYNCSRC=$(pwd)/UPLOAD/
+
+# construct upload folder
+
+
+BRANCH=${RELEASE_BRANCH}
+RELVER=${RELEASE_VERSION}
+
+rm -rf release-upload || true
+
+git clone -b ${RELEASE_BRANCH} https://gerrit.automotivelinux.org/gerrit/p/staging/release-upload.git
+cd release-upload
+
+gpg --keyserver pool.sks-keyservers.net --recv D6DD2170
+
+ls | grep -q agl-${RELEASE_BRANCH}-${RELEASE_VERSION}.tar.bz2
+
+( gpg --verify agl-${RELEASE_BRANCH}-${RELEASE_VERSION}.tar.bz2.sig agl-${RELEASE_BRANCH}-${RELEASE_VERSION}.tar.bz2 2>&1 | grep -e "Good signature.*Jan-Simon.*Moeller.*AGL.*Release" -q && echo "gpg key verification succeeded" ) || ( echo "gpg key verification failed" && exit 1 )
+
+rm -rf ../UPLOAD || true
+mkdir -p ../UPLOAD/
+
+cp -ar agl-${RELEASE_BRANCH}-${RELEASE_VERSION}.* ../UPLOAD/
+
+export RSYNCSRC=$(pwd)/../UPLOAD
+export RSYNCDST="/srv/download/AGL/release/${RELEASE_BRANCH}/"
+
+if test x"yes" = x"${UPLOAD}" ; then
+ set +x
+ ssh -o StrictHostKeyChecking=no jenkins-slave@10.30.72.8 "mkdir -p ${RSYNCDST}"
+ rsync -avr -e "ssh -o StrictHostKeyChecking=no" ${RSYNCSRC}/* jenkins-slave@10.30.72.8:${RSYNCDST}
+ ssh -o StrictHostKeyChecking=no jenkins-slave@10.30.72.8 "rm -rf ${RSYNCDST}/latest"
+ ssh -o StrictHostKeyChecking=no jenkins-slave@10.30.72.8 "ln -sf ${RELEASE_VERSION} ${RSYNCDST}/latest"
+fi \ No newline at end of file